
Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #1211

Seeking to the end of a FLAC file can cause playing it from the beginning with current time doubling

April 21, 2023 05:57 - Igor Kushnir

Status: Closed Start date: April 21, 2023

Priority: Minor Due date:  

Assignee:  % Done: 0%

Category: plugins/flac Estimated time: 0.00 hour

Target version: 4.3.1   

Affects version: 4.2   

Description

Steps to reproduce:

1. Download this FLAC file: https://ufile.io/4bmesoer

2. Add the file to a playlist in Audacious and start playing it.

3. Click at the end of the current song progress bar.

Actual results:

1. The file is played from the start.

2. The current time displayed goes to double the track's length. For example, it goes through the bogus point 12:10/9:35.

Expected results:

1. The file stops being played.

2. If so configured, the next file's playback begins.

Note: the bug affects many FLAC files, but less than half of the files I have tested.

History

#1 - April 26, 2023 00:08 - Thomas Lange

Fixed, the issue was easily reproducible with the sample file. Thanks for reporting.

#2 - April 26, 2023 00:09 - Thomas Lange

- Status changed from New to Closed

- Category set to plugins/flac

#3 - April 29, 2023 21:21 - Thomas Lange

- Target version set to 4.3.1
